<?
	  $pdf->Ln(2);


      //to address

      $address = $this->parent_name;
	  if($this->parent_contact_name) {
	  	 $address .= "\n".$this->parent_contact_name;
	  	 if($this->parent_contact_title) $address .= "\n".$this->parent_contact_title;
	  }
      if($this->parent_address_street)      $address .= "\n".$this->parent_address_street;

      if($this->parent_address_postalcode) $address .= "\n".$this->parent_address_postalcode;

      if($this->parent_address_city)        $address .= " ".$this->parent_address_city;

      if($this->to_vatid)                  $address .= "\n\n".$mod_strings['LBL_PDF_VATID']." ".$this->to_vatid;

      $pdf->SetFont('arialpl', '', 10);

      $pdf->Ln(2);
      $current = $pdf->GetY();
      $pdf->MultiCell(0,4,$address,0,'L');
      $current2 = $pdf->GetY();

      //$current = $pdf->GetY();
      //$pdf->Ln(7);
      $pdf->SetXY($pdf->fw-$pdf->rMargin-20,$current);
      $table = array(); 
      $table [0]['data'] = array('width' => 30, 'value' => $mod_strings['LBL_PDF_NUMBER'], 'border' => 0, 'overflow' => 1, 'align' => 'L', 'font-style' => 'b', 'font-size' => 9);
      $table [1]['data'] = array('width' => 30, 'value' => $this->document_no, 'border' => 0, 'overflow' => 1, 'align' => 'L');
      $table [2]['data'] = array('width' => 30, 'value' => $mod_strings['LBL_PDF_DATE_REGISTER'], 'border' => 0, 'overflow' => 1, 'align' => 'L', 'font-style' => 'b', 'font-size' => 9);
      $table [3]['data'] = array('width' => 30, 'value' => $this->register_date, 'border' => 0, 'overflow' => 1, 'align' => 'L');
  	
	  $next = 4;
	  if(isset($this->validtill_date) && $this->validtill_date != '') {
	  	$table [$next++]['data'] = array('width' => 30, 'value' => $mod_strings['LBL_PDF_VALIDTILL_DATE'], 'border' => 0, 'overflow' => 1, 'align' => 'L', 'font-style' => 'b', 'font-size' => 9);
		$table [$next++]['data'] = array('width' => 30, 'value' => $this->validtill_date, 'border' => 0, 'overflow' => 1, 'align' => 'L');
	  }
	  if(isset($this->delivery_date) && $this->delivery_date != '') {
	  	$table [$next++]['data'] = array('width' => 30, 'value' => "Data dostawy", 'border' => 0, 'overflow' => 1, 'align' => 'L', 'font-style' => 'b', 'font-size' => 9);
		$table [$next++]['data'] = array('width' => 30, 'value' => $this->delivery_date, 'border' => 0, 'overflow' => 1, 'align' => 'L');
	  }
	  
	  
	  $table [$next++]['data'] = array('width' => 30, 'value' => $mod_strings['LBL_PDF_OWNER'], 'border' => 0, 'overflow' => 1, 'align' => 'L', 'font-style' => 'b', 'font-size' => 9);
      $table [$next++]['data'] = array('width' => 30, 'value' => $this->setUser()->full_name, 'border' => 0, 'overflow' => 1, 'align' => 'L');
      $pdf->DrawTable($table, null, 0.5, 0.5, 3);
      
      $pdf->SetY($current2);



      $pdf->Ln(12);

      $pdf->SetFont('arialpl','','16');
	  
	  $pdf->SetY(55);
      if($this->type=="sales_order")$pdf->MultiCell(0,3,$mod_strings['LBL_PDF_DOCUMENT_NAME'],0,'C'); 
      elseif($this->type=="back")$pdf->MultiCell(0,3,"Zwrot Towaru",0,'C'); 
      elseif($this->type=="serwis_back")$pdf->MultiCell(0,3,"Zwrot Serwisowy",0,'C'); 
      elseif($this->type=="gratis")$pdf->MultiCell(0,3,"Gratis",0,'C');
      else $pdf->MultiCell(0,3,$mod_strings['LBL_PDF_DOCUMENT_NAME'],0,'C'); 

      
	  if(isset($this->validtill_date) && $this->validtill_date != '') $pdf->Ln(9);
      

      $this->loadParser();


      $this->header_text = $this->template->mfp->parseText($this->header_text);

      $this->footer_text = $this->template->mfp->parseText($this->footer_text);

      $this->ads_text = $this->template->mfp->parseText($this->ads_text);


      //header text

      $pdf->Ln(10);

      $pdf->SetFont('arialpl','B','10');

      $pdf->MultiCell(0,4,$this->header_text,0,'J');

      

      $pdf->Ln(4);
?>